Subject: [Dime] draft-ietf-dime-rfc3588bis-19 and IANA considerations

From: jouni korhonen <[email-masked]>
Date: Tue, 8 Dec 2009 10:27:43 +0200

Hi,

Reading the Section 11.6 NAPTR Service Fields. It appears to me that there is no IANA registry defined for these NAPTR service and protocol fields. Not in RFC3588 and not for NAPTR in general (meaning RFC2915 and RFC3403). Therefore, shouldn't this document create one as hinted in Section 9 of RFC3403?

Cheers,
	Jouni

---

From: Mark Jones <[email-masked]>
Date: Tue, 8 Dec 2009 09:02:17 -0500

> Reading the Section 11.6 NAPTR Service Fields. It appears to me that
> there is no IANA registry defined for these NAPTR service and protocol
> fields. Not in RFC3588 and not for NAPTR in general (meaning RFC2915
> and RFC3403). Therefore, shouldn't this document create one as hinted
> in Section 9 of RFC3403?
> 

3588bis did not change this section so it appears this is an IANA action that was missed from 3588.

Can't we request that IANA add the registry now? I see no reason to wait for 3588bis if it contains no changes to the requested NAPTR registry.
	
Regards
Mark